Subject: Re: Dump Interval

From: [email-masked]
Date: Mon, 8 Feb 1993 11:05:29 -0800

>I've noticed in the logs of our MOO that the MOO is checkpointing
>every 20 minutes or so, yet the $dump_interval is clearly at 3600,
>should be once an hour, right?  Is there something else that needs
>to be set besides $dump_interval?
>
As far as I know, $dump_interval should be all you need to set.  However,
I'd like to bring up a point about the dump interval.  It's not a bug, _per se_,
but I think it could be changed.

Once, as a joke among us bored MOO administrators :), I set $dump_interval
to $maxint.  I thought it would never dump again, that was part of the joke.  The next
time the server dumped, it started spawning dump processes up the kazoo (pardon
my french).  Luckily, I have a disk quota set for my directory, and nothing came of it
except 9845 aborted dumps and wasted cpu :)

My point is that the server could be a little more careful about what values it accepts
in $dump_interval.  In my opinion, it should never be below 3 or 5 minutes, and 

shouldn't exceed, say, one months.

---

---------
T. Pascal, King of Pascal          | "He travels fastest who travels alone,
1600 Campus Road, Box 829          | but not when the frost drops below zero
Los Angeles, CA 90041              | fifty degrees or more."
                                   |         -Old eskimo saying
       t_pascal@{{{cub,cheetah,jaguar}.math},tiger,cheshire}.oxy.edu